package cn.com.qmth.examcloud.core.oe.admin.service;

import javax.validation.constraints.NotNull;

import cn.com.qmth.examcloud.core.oe.admin.dao.entity.ExamRecordDataEntity;
import cn.com.qmth.examcloud.core.oe.admin.service.bean.NotifyUrlInfo;

/**
 * 
 * @author  	chenken
 * @date    	2018年11月27日 下午2:21:40
 * @company 	QMTH
 * @description 成绩获取队列接口
 */
public interface ExamScoreObtainQueueService {

	/**
	 * 保存获取成绩队列，并发送通知
	 * @param examRecordData
	 * @param isExamEnd	是否是交卷环节
	 */
	public void saveExamScoreObtainQueue(ExamRecordDataEntity examRecordData);
	
	/**
	 * 发送获取分数通知
	 */
	public void sendObtainScoreNotify(Long rootOrgId);

	/**
	 * 根据组织机构id获取通知路径相关信息
	 * @param rootOrgId 组织机构id
	 * @return
	 */
	@NotNull
	public NotifyUrlInfo getNotifyUrlInfo(Long rootOrgId);
	
}
